pidfile.h File Reference

PID-file management. More...

`#include <glib.h>`

Go to the source code of this file.

## Functions

int | pidfile_create (gchar *)
| Create a PID-file. More...
void | pidfile_remove (gchar *)
| Remove PID file. More...

## Detailed Description

PID-file management.

## Function Documentation

## pidfile_create()

int pidfile_create | ( | gchar * | daemon_name | ) |

Create a PID-file.

A standard PID file will be created for the given daemon name.

Parameters

  [in] | daemon_name | The name of the daemon

Returns
  0 for success, anything else indicates an error.

## pidfile_remove()

void pidfile_remove | ( | gchar * | daemon_name | ) |

Remove PID file.

Parameters

  [in] | daemon_name | The name of the daemon